#ifndef	SH_H				  
#define	SH_H
/*

 sh_h

 Date		Author		Comments
 ----		------		--------

 1.12
 ----
 01/01/2012	A.D.Ives	New version.

 1.09
 ----
 18/04/1998	A.D.Ives	Prototype for DoFile() added.

 1.07
 ----
 14/03/1998	A.D.Ives	Prototype for Process()	added.

 08/09/1991	P.J. Taylor	Amended.
 26/08/1991	P.J. Taylor	Original.

*/

#include <sys/types.h>

#define	PROG_VERSION "1.12"

#define	nullstr(s) ( ( NULL == (s) ) ? "<null>"	: (s) )
#define	FR_SEC	50  /* frames per second */

/* Command Execution options */

#define	EXE_ERR	 -1	/* Syntax error	- no action	*/
#define	EXE_WAIT 0	/* Wait	for completion		*/
#define	EXE_FORK 1	/* Run in background		*/
#define	EXE_PIPE 2	/* Fork	and pipe stdout	to next	process	stdin */
#define	EXE_EPIPE 3	/* Fork	and pipe stdout	& stderr to next process stdin */

/* Command definitions */

#define	CMDTAB struct cmdtab
#define	NCMDS	20	/* Number of command table entries	*/

CMDTAB			/* Command table			*/
{ int n ;               /* Number of commands in table          */
  struct
  { int xopt ;          /* Execution option                     */
    jobid_t jobid;	/* Job ID				*/
    char *name ;	/* Command Name				*/
    char *arg ;		/* Command Arguments			*/
  } cmd[NCMDS] ;
} ;

int Process(char *) ;
void DoFile(char *) ;

#endif
