*
* usage	 fmaxsize(chanid,block)
*
* output  contents of work block updated
* to maximum possible window size.
*
* All registers	preserved.
* window size set to max size with no border.
* if pointer enviroment	is not preesent
* no change in size if ptr env present.
* if channel not open or is closed while operation
* in progress  contents	of block may be	spurious.
*
*
	      .globl	  _fmaxsize

_fmaxsize:
	      link	  a6,#0
	      movem.l	  d1-d3/a0-a3,-(sp)
	      move.l	  8(a6),a0
	      move.l	  12(a6),a1
	      moveq	  #$6c,d0
	      moveq	  #0,d2
	      moveq	  #-1,d3	     ;	first do qptr trap
	      trap	  #3
	      tst.l	  d0		     ;	if ok exit  no problem
	      beq	  exitfmax
	      cmpi.w	  #-6,d0
	      beq	  exitfmax
	      move.l	  a1,a2
	      move.l	  #(512*256+256),(a1)+
	      clr.l	  (a1)
	      lea	  2(a2),a3
hloop:	       add.w	   #4,(a2)
	      move.l	  a2,a1
	      moveq	  #$d,d0
	      trap	  #3
	      tst.l	  d0
	      beq	 hloop
	      cmpi.w	  #-4,d0
	      bne	 exitfmax
	      sub.w	  #4,(a2)
wloop:	       add.w	   #4,(a3)
	      move.l	  a2,a1
	      moveq	  #$d,d0
	      trap	  #3
	      tst.l	  d0
	      beq	  wloop
	      cmpi.w	  #-4,d0
	      bne	exitfmax
	      sub.w	  #4,(a3)
	      moveq	  #0,d0
exitfmax:      movem.l	   (sp)+,d1-d3/a0-a3
	       unlk a6
	      rts
